Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	diffutils compare differences between two files.
Name:      	diffutils
Version:   	3.0
Release:   	1
Provides:  	diffutils	
License: 	GNU/GPL
URL:		http://www.gnu.org/software/diffutils/diffutils.html
Group:     	Development/Other  
Source0: 	%{name}-%{version}.tar.xz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Requires(pre): 	/sbin/install-info

#Automatically resolved build dependencies
BuildRequires: glibc-devel

%description
You can use the diff command to show differences between two files, or each corresponding file in two directories. diff outputs differences between files line by line in any of several formats, selectable by command line options. This set of differences is often called a `diff' or `patch'. For files that are identical, diff normally produces no output; for binary (non-text) files, diff normally reports only that they are different. 
You can use the cmp command to show the offsets and line numbers where two files differ. cmp can also show all the characters that differ between the two files, side by side. 
You can use the diff3 command to show differences among three files. When two people have made independent changes to a common original, diff3 can report the differences between the original and the two changed versions, and can produce a merged file that contains both persons' changes together with warnings about conflicts. 
You can use the sdiff command to merge two files interactively.

%post
/sbin/install-info %{_infodir}/diff.info.gz %{_infodir}/dir
 
%preun 
if [ "$1" = 0 ]; then 
     /sbin/install-info --delete %{_infodir}/diff.info.gz %{_infodir}/dir 
fi 

%prep
%setup -q -n %{name}-%{version}

%build
./configure --prefix=%{_prefix} --mandir=%{_mandir} --infodir=%{_infodir}
make 

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT 
rm -rf $RPM_BUILD_ROOT%{_infodir}/dir

find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/cmp                              
%{_bindir}/diff                             
%{_bindir}/diff3                            
%{_bindir}/sdiff                            
%{_infodir}/diff.info.gz              
%{_locale}/*/LC_MESSAGES/diffutils.mo
%{_mandir}/man1/cmp.1.gz
%{_mandir}/man1/diff.1.gz
%{_mandir}/man1/diff3.1.gz
%{_mandir}/man1/sdiff.1.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon May 10 2010 Karstne Brockmann <arcam@ccux-linux.de> 3.0-1
- Version update
* Sun Feb 14 2010 Karstne Brockmann <arcam@ccux-linux.de> 2.9-1
- Version update
* Sun Jul 10 2005 Christian Metzen <metzench@ccux-linux.de> 2.8.1-3
- Added prereq Tag
* Sun Jul 03 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 2.8.1-2
- rebuilt spec 
* Wed Apr 14 2004 Christian Metzen <metzench@ccux-linux.de> 2.8.1-1
- Initial Release
